import request from '@/utils/request';
import type { ApiResult, PageResult } from '@/api';
import type { Config, ConfigParam } from './model';

/**
 * 分页查询角色
 */
export async function configData(params: ConfigParam) {
  const res = await request.get<ApiResult<PageResult<Config>>>(
    '/system/config/data',
    { params }
  );
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 查询角色列表
 */
export async function listConfig(params?: ConfigParam) {
  const res = await request.get<ApiResult<Config[]>>('/system/config', {
    params
  });
  if (res.data.code === 0 && res.data.data) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
